#include "SpriteConfig.h"

SpriteConfig::SpriteConfig() {
  Insert("liczby", SpriteConfigData(5, 4, 1, 0, 38, 50, 38, false));
  Insert("liczby-loop", SpriteConfigData(5, 4, 1, 0, 38, 50, 38, true));
  Insert("litery", SpriteConfigData(5, 3, .5, 0, 77, 50, 38, true));
}

SpriteConfigData SpriteConfig::Get(const std::string& name) const {
  if (Contains(name)) {
    return m_data.find(name)->second;
  }
  throw("Config not found: "+name);
}

bool SpriteConfig::Contains(const std::string& name) const {
  return (m_data.find(name) != m_data.end());
}

void SpriteConfig::Insert(const std::string& name, const SpriteConfigData& data) {
  m_data.insert(std::make_pair(name, data));
}

